Last Comment Bug 530297 - Replace PR_MIN/PR_MAX with NS_MIN/NS_MAX in /widget
: Replace PR_MIN/PR_MAX with NS_MIN/NS_MAX in /widget
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Widget (show other bugs)
: Trunk
: All All
: -- minor (vote)
: ---
Assigned To: Jae-Seong Lee-Russo
:
Mentors:
Depends on:
Blocks: 518502
  Show dependency treegraph
 
Reported: 2009-11-21 06:45 PST by Jae-Seong Lee-Russo
Modified: 2011-07-06 15:53 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Search&Replace, 0 (24.73 KB, patch)
2009-11-21 06:47 PST, Jae-Seong Lee-Russo
roc: review+
Details | Diff | Splinter Review

Description Jae-Seong Lee-Russo 2009-11-21 06:45:32 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.3a1pre) Gecko/20091120 Minefield/3.7a1pre (.NET CLR 3.5.30729)
Build Identifier: 

Please see Bug #512106.

Reproducible: Always
Comment 1 Jae-Seong Lee-Russo 2009-11-21 06:47:29 PST
Created attachment 413814 [details] [diff] [review]
Search&Replace, 0
Comment 2 Phil Ringnalda (:philor, back in August) 2009-12-12 16:37:58 PST
nsNativeThemeGTK.cpp
/tools/gcc-4.3.3/installed/bin/g++ -o nsNativeThemeGTK.o -c -I../../../dist/system_wrappers -include /builds/slave/sendchange-linux-hg/build/config/gcc_hidden.h -DNATIVE_THEME_SUPPORT -DXPCOM_TRANSLATE_NSGM_ENTRY_POINT=1 -DMOZILLA_INTERNAL_API -D_IMPL_NS_COM -DEXPORT_XPT_API -DEXPORT_XPTC_API -D_IMPL_NS_GFX -D_IMPL_NS_WIDGET -DIMPL_XREAPI -DIMPL_NS_NET -DIMPL_THEBES  -DZLIB_INTERNAL -DOSTYPE=\"Linux2.6.18-53.1.19\" -DOSARCH=Linux -DUSE_XIM -DCAIRO_GFX -DUSE_POSTSCRIPT   -I/builds/slave/sendchange-linux-hg/build/widget/src/gtk2 -I. -I../../../dist/include -I../../../dist/include/nsprpub  -I/builds/slave/sendchange-linux-hg/build/objdir/dist/include/nspr -I/builds/slave/sendchange-linux-hg/build/objdir/dist/include/nss      -I/builds/slave/sendchange-linux-hg/build/widget/src/gtk2/../xpwidgets -I/builds/slave/sendchange-linux-hg/build/other-licenses/atk-1.0   -fPIC  -fno-rtti -fno-exceptions -Wall -Wpointer-arith -Woverloaded-virtual -Wsynth -Wno-ctor-dtor-privacy -Wno-non-virtual-dtor -Wcast-align -Wno-invalid-offsetof -Wno-variadic-macros -Wno-long-long -pedantic -gstabs+ -fno-strict-aliasing -fshort-wchar -pthread -pipe  -DNDEBUG -DTRIMMED -Os -freorder-blocks -fno-reorder-functions  -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gtk-unix-print-2.0      -DMOZILLA_CLIENT -include ../../../mozilla-config.h -Wp,-MD,.deps/nsNativeThemeGTK.pp /builds/slave/sendchange-linux-hg/build/widget/src/gtk2/nsNativeThemeGTK.cpp
/builds/slave/sendchange-linux-hg/build/widget/src/gtk2/nsNativeThemeGTK.cpp: In member function ‘PRBool nsNativeThemeGTK::GetGtkWidgetAndState(PRUint8, nsIFrame*, GtkThemeWidgetType&, GtkWidgetState*, gint*)’:
/builds/slave/sendchange-linux-hg/build/widget/src/gtk2/nsNativeThemeGTK.cpp:569: error: no matching function for call to ‘NS_MIN(GtkTabFlags, const int&)’
make[6]: *** [nsNativeThemeGTK.o] Error 1
Comment 3 Ed Morley [:emorley] 2011-07-06 15:53:24 PDT
Fixed by bug 661584.

Note You need to log in before you can comment on or make changes to this bug.